
#pragma once

// Genode includes
#include <base/connection.h>

// gapfruit includes
#include <verify_signature_session/client.h>

namespace Verify_signature {

	using Genode::Env;

	struct Connection;
}


struct Verify_signature::Connection : Genode::Connection<Session>, Session_client
{
	enum { DEFAULT_BUFFER_SIZE = 4*1024*1024 };

	/**
	 * Constructor
	 */
	Connection(Env &env, char const *label = "") :
		Genode::Connection<Session> { env, session(env.parent(),
		                                  "ram_quota=%ld, cap_quota=%ld, label=\"%s\"",
		                                  DEFAULT_BUFFER_SIZE, CAP_QUOTA, label) },
		Session_client              { env.rm(), cap() }
	{ }
};
